Awkward Array: SliceFields Class Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SliceFields Class Reference

`#include <Slice.h>`

Inheritance diagram for SliceFields:

## Public Member Functions
| SliceFields (const std::vector< std::string > &keys)
| Creates a SliceFields from a full set of parameters.
const std::vector< std::string > | keys () const
| The names of the fields to select.
const SliceItemPtr | shallow_copy () const override
| Copies this node without copying any associated arrays.
const std::string | tostring () const override
| Returns a string representation of this slice item (single-line custom format).
bool | preserves_type (const Index64 &advanced) const override
| Returns `true` if this slice would preserve an array's slice and therefore should pass on `Content::parameters`.
virtual bool | referentially_equal (const SliceItemPtr &other) const override
| Returns `true` if this slice item has all the same buffers and parameters as `other`; `false` otherwise.
Public Member Functions inherited from SliceItem
virtual | ~SliceItem ()
| Virtual destructor acts as a first non-inline virtual function that determines a specific translation unit in which vtable shall be emitted.
virtual const SliceItemPtr | shallow_copy () const =0
| Copies this node without copying any associated arrays.
virtual const std::string | tostring () const =0
| Returns a string representation of this slice item (single-line custom format).
virtual bool | preserves_type (const Index64 &advanced) const =0
| Returns `true` if this slice would preserve an array's slice and therefore should pass on `Content::parameters`.
virtual bool | referentially_equal (const SliceItemPtr &other) const =0
| Returns `true` if this slice item has all the same buffers and parameters as `other`; `false` otherwise.

## Constructor & Destructor Documentation

## ◆ SliceFields()

SliceFields | ( | const std::vector< std::string > & | keys | ) |

Creates a SliceFields from a full set of parameters.

Parameters

  keys | The names of the fields to select. This may be elements of a `RecordArray::recordlookup` or `RecordArray::fieldindex` integers as strings.

## Member Function Documentation

## ◆ keys()

const std::vector< std::string > keys | ( |  | ) | const

The names of the fields to select.

This may be elements of a `RecordArray::recordlookup` or `RecordArray::fieldindex` integers as strings.

## ◆ preserves_type()

bool preserves_type | ( | const Index64 & | advanced | ) | const
| overridevirtual

Returns `true` if this slice would preserve an array's slice and therefore should pass on `Content::parameters`.

Parameters

  advanced | The index that is passed through `Content::getitem_next`.

Always `false` for SliceFields.

Implements SliceItem.

## ◆ referentially_equal()

virtual bool referentially_equal | ( | const SliceItemPtr & | other | ) | const
| overridevirtual

Returns `true` if this slice item has all the same buffers and parameters as `other`; `false` otherwise.

Parameters

  other | The slice item to compare this with.

Implements SliceItem.

## ◆ shallow_copy()

const SliceItemPtr shallow_copy | ( |  | ) | const
| overridevirtual

Copies this node without copying any associated arrays.

Implements SliceItem.

## ◆ tostring()

const std::string tostring | ( |  | ) | const
| overridevirtual

Returns a string representation of this slice item (single-line custom format).

Implements SliceItem.

The documentation for this class was generated from the following file:

- include/awkward/Slice.h